# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Catalyst/Component/InstancePerContext.pm) perl(Class/C3/Adopt/NEXT.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Localize.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(Catalyst/Model.pm)
# END SourceDeps(oneline)
%define module_version 0.00007
%define module_name Catalyst-Model-Data-Localize
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.00007
Release: alt1
Summary: Catalyst Model Over Data::Localize
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMAKI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
WARNING: Data::Localize, which this module is based on, is still in alpha.quality. This module should also be treated as such.

This is a thin wrapper around Data::Localize. The only thing it does that
a plain Catalyst::Model::Adaptor + Data::Localize can do is the automatic
discovery of I18N files (if they are placed under likely locations).

For example, these files will automatically be found:

    # suppose our Catalyst app is at  lib/MyApp.pm
    lib/MyApp/I18N/ja.pm
    lib/MyApp/I18N/ja.po

Also, for those like me that don't like to put a catalyst app at the project's
top namespace, we look for one level above, too:

    # suppose our Catalyst app is at  lib/MyApp/Web.pm
    lib/MyApp/I18N/ja.pm
    lib/MyApp/I18N/ja.po

The default behavior is to detect the language setting from the HTTP headers.
If you want to override it, simply place an explicit call somehwere in your
action chain:

    my $loc = $c->model('Data::Localize');
    $loc->set_languages('ja'); # or whatever you prefer
    $loc->localize($key, @args);


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/C*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.00007-alt1
- initial import by package builder

